Skip to main content
GET
/
notes
/
list
List notes
curl --request GET \
  --url https://api.openwhispr.com/api/v1/notes/list \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "<string>",
      "client_note_id": "<string>",
      "title": "<string>",
      "content": "<string>",
      "enhanced_content": "<string>",
      "note_type": "personal",
      "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key starting with owk_live_

Query Parameters

limit
integer
default:50

Number of notes to return.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from a previous response.

folder_id
string<uuid>

Filter by folder ID.

Response

Paginated list of notes.

data
object[]
has_more
boolean
next_cursor
string | null